Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(101)

Unified Diff: tools/node-linux-tick-processor

Issue 1179173009: Add support for running the profiler output processing scripts with node. (Closed) Base URL: https://chromium.googlesource.com/v8/v8.git@master
Patch Set: buffered readline polyfill Created 5 years, 6 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | tools/node-mac-tick-processor » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: tools/node-linux-tick-processor
diff --git a/tools/node-linux-tick-processor b/tools/node-linux-tick-processor
new file mode 100755
index 0000000000000000000000000000000000000000..bbf9b1fbb66a15fc8e21c9225cdf622010d07e2d
--- /dev/null
+++ b/tools/node-linux-tick-processor
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+TEMP_SCRIPT_FILE="/tmp/node-tick-processor-input-script"
+tools_path=`cd $(dirname "$0");pwd`
+log_file="v8.log"
+for arg in "$@"
+do
+ if ! expr "X${arg}" : "^X-" > /dev/null; then
+ log_file=${arg}
+ fi
+done
+
+cat $tools_path/node-polyfill.js $tools_path/splaytree.js $tools_path/codemap.js \
+ $tools_path/csvparser.js $tools_path/consarray.js \
+ $tools_path/profile.js $tools_path/profile_view.js \
+ $tools_path/logreader.js $tools_path/tickprocessor.js \
+ $tools_path/SourceMap.js \
+ $tools_path/tickprocessor-driver.js >> $TEMP_SCRIPT_FILE
+
+# nm spits out 'no symbols found' messages to stderr.
+node $TEMP_SCRIPT_FILE $log_file 2>/dev/null
+
+rm -f $TEMP_SCRIPT_FILE
« no previous file with comments | « no previous file | tools/node-mac-tick-processor » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698